%define anolis_release 1
%define tarball xf86-video-nouveau
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir %{moduledir}/drivers

%undefine _hardened_build

Summary:   Xorg X11 nouveau video driver for NVIDIA graphics chipsets
Name:      xorg-x11-drv-nouveau
Epoch:     1
Version:   1.0.17
Release:   %{anolis_release}%{?dist}
URL:       http://www.x.org
License:   MIT

Source0: http://xorg.freedesktop.org/archive/individual/driver/xf86-video-nouveau-%{version}.tar.bz2

Patch1: remove-sarea.h.patch


BuildRequires: make
BuildRequires: libtool automake autoconf
BuildRequires: xorg-x11-server-devel >= 1.14.2
BuildRequires: libdrm-devel >= 2.4.24
BuildRequires: mesa-libGL-devel
BuildRequires: libudev-devel

Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires videodrv)
Requires:  libdrm >= 2.4.33

%description 
X.Org X11 nouveau video driver.

%define dirsuffix %{version}

%prep
%setup -q -n xf86-video-nouveau-%{dirsuffix}
%patch1 -p1

%build
autoreconf -v --install --force
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%{driverdir}/nouveau_drv.so
%{_mandir}/man4/nouveau.4*

%changelog
* Wed Apr 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.0.17-1
- Init from upstream version 1.0.17

